GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/encryptionProtector/current?api-version=2025-01-01
GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-4645/encryptionProtector/current?api-version=2025-01-01
import com.azure.resourcemanager.sql.models.EncryptionProtectorName;
/**
* Samples for EncryptionProtectors Get.
*/
public final class Main {
/*
* x-ms-original-file: 2025-01-01/EncryptionProtectorGet.json
*/
/**
* Sample code: Get the encryption protector.
*
* @param manager Entry point to SqlServerManager.
*/
public static void getTheEncryptionProtector(com.azure.resourcemanager.sql.SqlServerManager manager) {
manager.serviceClient().getEncryptionProtectors().getWithResponse("sqlcrudtest-7398", "sqlcrudtest-4645",
EncryptionProtectorName.CURRENT, com.azure.core.util.Context.NONE);
}
}
from azure.identity import DefaultAzureCredential
from azure.mgmt.sql import SqlManagementClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-sql
# USAGE
python encryption_protector_get.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = SqlManagementClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
response = client.encryption_protectors.get(
resource_group_name="sqlcrudtest-7398",
server_name="sqlcrudtest-4645",
encryption_protector_name="current",
)
print(response)
# x-ms-original-file: 2025-01-01/EncryptionProtectorGet.json
if __name__ == "__main__":
main()
using Azure;
using Azure.ResourceManager;
using System;
using System.Threading.Tasks;
using Azure.Core;
using Azure.Identity;
using Azure.ResourceManager.Sql.Models;
using Azure.ResourceManager.Sql;
// Generated from example definition: specification/sql/resource-manager/Microsoft.Sql/SQL/stable/2025-01-01/examples/EncryptionProtectorGet.json
// this example is just showing the usage of "EncryptionProtectors_Get" operation, for the dependent resources, they will have to be created separately.
// get your azure access token, for more details of how Azure SDK get your access token, please refer to https://learn.microsoft.com/en-us/dotnet/azure/sdk/authentication?tabs=command-line
TokenCredential cred = new DefaultAzureCredential();
// authenticate your client
ArmClient client = new ArmClient(cred);
// this example assumes you already have this SqlServerResource created on azure
// for more information of creating SqlServerResource, please refer to the document of SqlServerResource
string subscriptionId = "00000000-1111-2222-3333-444444444444";
string resourceGroupName = "sqlcrudtest-7398";
string serverName = "sqlcrudtest-4645";
ResourceIdentifier sqlServerResourceId = SqlServerResource.CreateResourceIdentifier(subscriptionId, resourceGroupName, serverName);
SqlServerResource sqlServer = client.GetSqlServerResource(sqlServerResourceId);
// get the collection of this EncryptionProtectorResource
EncryptionProtectorCollection collection = sqlServer.GetEncryptionProtectors();
// invoke the operation
EncryptionProtectorName encryptionProtectorName = EncryptionProtectorName.Current;
NullableResponse<EncryptionProtectorResource> response = await collection.GetIfExistsAsync(encryptionProtectorName);
EncryptionProtectorResource result = response.HasValue ? response.Value : null;
if (result == null)
{
Console.WriteLine("Succeeded with null as result");
}
else
{
// the variable result is a resource, you could call other operations on this instance as well
// but just for demo, we get its data from this resource instance
EncryptionProtectorData resourceData = result.Data;
// for demo we just print out the id
Console.WriteLine($"Succeeded on id: {resourceData.Id}");
}
GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-4645/encryptionProtector/current?api-version=2025-01-01
import com.azure.resourcemanager.sql.models.EncryptionProtectorName;
/**
* Samples for EncryptionProtectors Get.
*/
public final class Main {
/*
* x-ms-original-file: 2025-01-01/EncryptionProtectorGetWithVersionlessKey.json
*/
/**
* Sample code: Get the encryption protector with versionless key.
*
* @param manager Entry point to SqlServerManager.
*/
public static void
getTheEncryptionProtectorWithVersionlessKey(com.azure.resourcemanager.sql.SqlServerManager manager) {
manager.serviceClient().getEncryptionProtectors().getWithResponse("sqlcrudtest-7398", "sqlcrudtest-4645",
EncryptionProtectorName.CURRENT, com.azure.core.util.Context.NONE);
}
}
from azure.identity import DefaultAzureCredential
from azure.mgmt.sql import SqlManagementClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-sql
# USAGE
python encryption_protector_get_with_versionless_key.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = SqlManagementClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
response = client.encryption_protectors.get(
resource_group_name="sqlcrudtest-7398",
server_name="sqlcrudtest-4645",
encryption_protector_name="current",
)
print(response)
# x-ms-original-file: 2025-01-01/EncryptionProtectorGetWithVersionlessKey.json
if __name__ == "__main__":
main()
using Azure;
using Azure.ResourceManager;
using System;
using System.Threading.Tasks;
using Azure.Core;
using Azure.Identity;
using Azure.ResourceManager.Sql.Models;
using Azure.ResourceManager.Sql;
// Generated from example definition: specification/sql/resource-manager/Microsoft.Sql/SQL/stable/2025-01-01/examples/EncryptionProtectorGetWithVersionlessKey.json
// this example is just showing the usage of "EncryptionProtectors_Get" operation, for the dependent resources, they will have to be created separately.
// get your azure access token, for more details of how Azure SDK get your access token, please refer to https://learn.microsoft.com/en-us/dotnet/azure/sdk/authentication?tabs=command-line
TokenCredential cred = new DefaultAzureCredential();
// authenticate your client
ArmClient client = new ArmClient(cred);
// this example assumes you already have this SqlServerResource created on azure
// for more information of creating SqlServerResource, please refer to the document of SqlServerResource
string subscriptionId = "00000000-1111-2222-3333-444444444444";
string resourceGroupName = "sqlcrudtest-7398";
string serverName = "sqlcrudtest-4645";
ResourceIdentifier sqlServerResourceId = SqlServerResource.CreateResourceIdentifier(subscriptionId, resourceGroupName, serverName);
SqlServerResource sqlServer = client.GetSqlServerResource(sqlServerResourceId);
// get the collection of this EncryptionProtectorResource
EncryptionProtectorCollection collection = sqlServer.GetEncryptionProtectors();
// invoke the operation
EncryptionProtectorName encryptionProtectorName = EncryptionProtectorName.Current;
NullableResponse<EncryptionProtectorResource> response = await collection.GetIfExistsAsync(encryptionProtectorName);
EncryptionProtectorResource result = response.HasValue ? response.Value : null;
if (result == null)
{
Console.WriteLine("Succeeded with null as result");
}
else
{
// the variable result is a resource, you could call other operations on this instance as well
// but just for demo, we get its data from this resource instance
EncryptionProtectorData resourceData = result.Data;
// for demo we just print out the id
Console.WriteLine($"Succeeded on id: {resourceData.Id}");
}
Metadatos relativos a la creación y última modificación del recurso.
createdByType
Enumeración
Tipo de identidad que creó el recurso.
Valor
Description
User
Application
ManagedIdentity
Key
EncryptionProtector
Objeto
Protector de cifrado del servidor.
Nombre
Tipo
Description
id
string
(arm-id)
Identificador de recurso completo para el recurso. Por ejemplo, "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"
kind
string
Tipo de protector de cifrado. Estos son metadatos usados para la experiencia del portal de Azure.
location
string
Ubicación del recurso.
name
string
Nombre del recurso
properties.autoRotationEnabled
boolean
Marca de participación de rotación automática de claves. True o false.
properties.keyVersion
string
La versión de la clave de servidor que se usa como protector de cifrado